Source: rasqal
Section: devel
Priority: optional
Maintainer: Dave Beckett <dajobe@debian.org>
Build-Depends: debhelper-compat (= 13), pkg-config, libraptor2-dev (>=2.0.12-2), libgmp-dev, libmhash-dev, libpcre3-dev, uuid-dev, gtk-doc-tools
Standards-Version: 4.6.0
Homepage: http://librdf.org/rasqal/
Vcs-Git: https://salsa.debian.org/debian/rasqal.git
Vcs-Browser: https://salsa.debian.org/debian/rasqal

Package: librasqal3-dev
Provides: librasqal-dev
Recommends: rasqal-utils
Conflicts: librasqal-dev, librasqal2-dev
Replaces: librasqal2-dev
Suggests: librasqal3-doc
Section: libdevel
Architecture: any
Depends: librasqal3 (= ${binary:Version}), libraptor2-dev (>= 2.0.12-2), libgmp-dev, ${misc:Depends}
Description: Rasqal RDF query library development libraries and headers
 Development libraries, header files and documentation needed by
 programs that want to compile with the Rasqal RDF query library.

Package: librasqal3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rasqal-utils
Description: Rasqal RDF query library
 Rasqal is a C library providing support for querying the
 Resource Description Framework (RDF) including
 parsing query syntaxes, constructing the queries, executing them,
 returning result bindings and formatting results.  It supports the
 SPARQL RDF Query Language, RDF Data Query Language (RDQL) and LAQRS
 experimental query language extending SPARQL.
 .
 Rasqal is designed for performance, flexibility and embedding (no
 memory leaks) and to track ongoing RDF query language work.

Package: rasqal-utils
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: raptor2-utils, redland-utils
Description: Rasqal RDF Query utilities
 This package provides the roqet tool for querying RDF content
 with SPARQL and RDQL RDF query languages using the Rasqal RDF
 query library.

Package: librasqal3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, lynx | www-browser
Description: Documentation for the Rasqal RDF Query library
 Rasqal is a C library providing support for querying the
 Resource Description Framework (RDF) including
 parsing query syntaxes, constructing the queries, executing them,
 returning result bindings and formatting results.  It supports the
 SPARQL RDF Query Language, RDF Data Query Language (RDQL) and LAQRS
 experimental query language extending SPARQL.
 .
 This package contains the HTML documentation for the Rasqal library
 in /usr/share/gtk-doc/html/rasqal/ .
